using Core.Abstractions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Core.Enumerations {
  public class Errors : Enumeration {
    public static Errors Generic = new(0, "generic error occured");

    public static Errors NullOrWhiteSpace = new(1, "is null or white space");
    public static Errors WrongOrNotManaged = new(2, "is wrong or not managed");
    public static Errors NullOrEmpty = new(3, "is null or empty");

    private Errors(int id, string displayName) : base(id, displayName) { }
  }
}
